/*===========================================================================*/
/*   (Rgc/rgctree.scm)                                                       */
/*   Bigloo (2.6b)                                                           */
/*   Inria -- Sophia Antipolis (c)       Mon Dec 15 12:14:36 CET 2003        */
/*===========================================================================*/
/* COMPILATION: (/users/serrano/prgm/project/bigloo/bin/bigloo -O4 -mklib -cc gcc-2.95 -fsharing -q -s -copt -DBGL_NO_PIC -unsafe -c Rgc/rgctree.scm -indent -o objs/obj_u/Rgc/rgctree.c)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>
#include <signal.h>

static obj_t BGl_loopz00zz__rgc_treez00(obj_t, obj_t);
extern obj_t BGl_forzd2eachzd2rgcsetz00zz__rgc_setz00(obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zz__rgc_treez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__rgc_setz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__rgc_configz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
extern obj_t BGl_makezd2rgcsetzd2zz__rgc_setz00(int);
extern obj_t create_struct(obj_t, int);
static obj_t BGl_zc3anonymousza31224ze3z83zz__rgc_treez00(obj_t, obj_t);
extern obj_t BGl_rgcsetzd2addz12zc0zz__rgc_setz00(obj_t, int);
static obj_t BGl_submatchzd2stopzd2addz12z12zz__rgc_treez00(obj_t, obj_t, obj_t);
static obj_t BGl_or2zd2ze3nodez31zz__rgc_treez00(obj_t, obj_t, obj_t);
static obj_t BGl_za2currentzd2positionza2zd2zz__rgc_treez00 = BUNSPEC;
static obj_t BGl_zc3anonymousza31258ze3z83zz__rgc_treez00(obj_t, obj_t);
static obj_t BGl_treezd2ze3nodez31zz__rgc_treez00(obj_t);
extern obj_t BGl_rgcsetzd2orzd2zz__rgc_setz00(obj_t, obj_t);
static obj_t BGl__printzd2followposzd2zz__rgc_treez00(obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_printzd2nodezd2zz__rgc_treez00(obj_t);
static obj_t BGl_cnstzd2initzd2zz__rgc_treez00();
static long BGl_loopz72z72zz__rgc_treez00(obj_t, long);
static obj_t BGl_submatchzd2startzd2addz12z12zz__rgc_treez00(obj_t, obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_regularzd2treezd2ze3nodeze3zz__rgc_treez00(obj_t);
static obj_t BGl_integerzd2ze3nodez31zz__rgc_treez00(obj_t);
extern obj_t string_to_symbol(char *);
static obj_t BGl_zc3anonymousza31263ze3z83zz__rgc_treez00(obj_t, obj_t);
static obj_t BGl_sequencezd2ze3nodez31zz__rgc_treez00(obj_t);
static obj_t BGl_initzd2followposz12zc0zz__rgc_treez00();
static obj_t BGl_symbol2197z00zz__rgc_treez00 = BUNSPEC;
static obj_t BGl_symbol2195z00zz__rgc_treez00 = BUNSPEC;
static obj_t BGl_symbol2203z00zz__rgc_treez00 = BUNSPEC;
static obj_t BGl_symbol2193z00zz__rgc_treez00 = BUNSPEC;
static obj_t BGl_symbol2200z00zz__rgc_treez00 = BUNSPEC;
static obj_t BGl_symbol2190z00zz__rgc_treez00 = BUNSPEC;
static obj_t BGl_symbol2188z00zz__rgc_treez00 = BUNSPEC;
extern obj_t BGl_displayzd22zd2zz__r4_output_6_10_3z00(obj_t, obj_t);
static obj_t BGl_symbol2186z00zz__rgc_treez00 = BUNSPEC;
BGL_EXPORTED_DECL obj_t BGl_printzd2followposzd2zz__rgc_treez00(obj_t);
static obj_t BGl_symbol2184z00zz__rgc_treez00 = BUNSPEC;
static obj_t BGl_symbol2181z00zz__rgc_treez00 = BUNSPEC;
static obj_t BGl_zc3anonymousza31194ze3z83zz__rgc_treez00(obj_t, obj_t);
static obj_t BGl_symbol2178z00zz__rgc_treez00 = BUNSPEC;
extern obj_t make_vector(int, obj_t);
static obj_t BGl_symbol2176z00zz__rgc_treez00 = BUNSPEC;
static obj_t BGl_symbol2175z00zz__rgc_treez00 = BUNSPEC;
static obj_t BGl_symbol2173z00zz__rgc_treez00 = BUNSPEC;
static obj_t BGl_importedzd2moduleszd2initz00zz__rgc_treez00();
static obj_t BGl_symbol2170z00zz__rgc_treez00 = BUNSPEC;
static obj_t BGl_za2positionzd2numberza2zd2zz__rgc_treez00 = BUNSPEC;
static obj_t BGl_za2zd2ze3nodez93zz__rgc_treez00(obj_t);
static obj_t BGl_za2submatchesza2z00zz__rgc_treez00 = BUNSPEC;
static obj_t BGl_symbol2162z00zz__rgc_treez00 = BUNSPEC;
static obj_t BGl_symbol2161z00zz__rgc_treez00 = BUNSPEC;
static obj_t BGl_symbol2160z00zz__rgc_treez00 = BUNSPEC;
static obj_t BGl_symbol2159z00zz__rgc_treez00 = BUNSPEC;
static obj_t BGl_symbol2158z00zz__rgc_treez00 = BUNSPEC;
static obj_t BGl_symbol2157z00zz__rgc_treez00 = BUNSPEC;
static obj_t BGl_symbol2156z00zz__rgc_treez00 = BUNSPEC;
BGL_EXPORTED_DECL obj_t BGl_resetzd2treez12zc0zz__rgc_treez00();
static obj_t BGl_requirezd2initializa7ationz75zz__rgc_treez00 = BUNSPEC;
static obj_t BGl_submatchzd2ze3nodez31zz__rgc_treez00(obj_t);
static obj_t BGl_initzd2positionsz12zc0zz__rgc_treez00();
static obj_t BGl__regularzd2treezd2ze3nodeze3zz__rgc_treez00(obj_t, obj_t);
static long BGl_regularzd2treezd2positionzd2numberzd2zz__rgc_treez00(obj_t);
static obj_t BGl__resetzd2treez12zc0zz__rgc_treez00(obj_t);
extern obj_t BGl_rgcsetzd2orz12zc0zz__rgc_setz00(obj_t, obj_t);
static obj_t BGl_orzd2ze3nodez31zz__rgc_treez00(obj_t);
extern bool_t BGl_eqvzf3zf3zz__r4_equivalence_6_2z00(obj_t, obj_t);
static obj_t BGl_list2169z00zz__rgc_treez00 = BUNSPEC;
static obj_t BGl_list2171z00zz__rgc_treez00 = BUNSPEC;
static obj_t BGl_list2172z00zz__rgc_treez00 = BUNSPEC;
static obj_t BGl_list2174z00zz__rgc_treez00 = BUNSPEC;
static obj_t BGl_list2177z00zz__rgc_treez00 = BUNSPEC;
static obj_t BGl_binaryzd2ze3nodez31zz__rgc_treez00(obj_t, obj_t);
static obj_t BGl_list2180z00zz__rgc_treez00 = BUNSPEC;
static obj_t BGl_list2179z00zz__rgc_treez00 = BUNSPEC;
static obj_t BGl_list2183z00zz__rgc_treez00 = BUNSPEC;
static obj_t BGl_sequence2zd2ze3nodez31zz__rgc_treez00(obj_t, obj_t, obj_t);
static obj_t BGl_list2185z00zz__rgc_treez00 = BUNSPEC;
static obj_t BGl_za2positionsza2z00zz__rgc_treez00 = BUNSPEC;
static obj_t BGl_za2followposza2z00zz__rgc_treez00 = BUNSPEC;
static obj_t BGl_list2187z00zz__rgc_treez00 = BUNSPEC;
static obj_t BGl_list2189z00zz__rgc_treez00 = BUNSPEC;
static obj_t BGl_list2192z00zz__rgc_treez00 = BUNSPEC;
static obj_t BGl_list2194z00zz__rgc_treez00 = BUNSPEC;
static obj_t BGl_list2196z00zz__rgc_treez00 = BUNSPEC;
static obj_t BGl_list2198z00zz__rgc_treez00 = BUNSPEC;
static obj_t BGl_list2199z00zz__rgc_treez00 = BUNSPEC;
static obj_t BGl_toplevelzd2initzd2zz__rgc_treez00();
extern obj_t display_string(obj_t, obj_t);
static obj_t BGl__printzd2nodezd2zz__rgc_treez00(obj_t, obj_t);
static obj_t *__cnst;


DEFINE_EXPORT_PROCEDURE( BGl_regularzd2treezd2ze3nodezd2envz31zz__rgc_treez00, BgL_bgl__regularza7d2treeza7d2za7e3nodeza7e3za7za7__rgc_treeza7002210za7, BGl__regularzd2treezd2ze3nodeze3zz__rgc_treez00, 0L, 1 );
DEFINE_EXPORT_PROCEDURE( BGl_resetzd2treez12zd2envz12zz__rgc_treez00, BgL_bgl__resetza7d2treeza712za7c0za7za7__rgc_treeza7002211z00, BGl__resetzd2treez12zc0zz__rgc_treez00, 0L, 0 );
DEFINE_STRING( BGl_string2202z00zz__rgc_treez00, BgL_bgl_string2202za700za7za7__rgc_treeza7002212z00, "==================================================", 50 );
DEFINE_STRING( BGl_string2191z00zz__rgc_treez00, BgL_bgl_string2191za700za7za7__rgc_treeza7002213z00, ": ", 2 );
DEFINE_STRING( BGl_string2168z00zz__rgc_treez00, BgL_bgl_string2168za700za7za7__rgc_treeza7002214z00, "number of pos: ", 15 );
DEFINE_STRING( BGl_string2167z00zz__rgc_treez00, BgL_bgl_string2167za700za7za7__rgc_treeza7002215z00, "========= FOLLOWPOS ==============================", 50 );
DEFINE_EXPORT_PROCEDURE( BGl_printzd2followposzd2envz00zz__rgc_treez00, BgL_bgl__printza7d2followposza7d2za7za7__rgc_treeza7002216za7, BGl__printzd2followposzd2zz__rgc_treez00, 0L, 1 );
DEFINE_STRING( BGl_string2164z00zz__rgc_treez00, BgL_bgl_string2164za700za7za7__rgc_treeza7002217z00, "RGC:Illegal tree", 16 );
DEFINE_STRING( BGl_string2163z00zz__rgc_treez00, BgL_bgl_string2163za700za7za7__rgc_treeza7002218z00, "RGC:Unknown function", 20 );
DEFINE_EXPORT_PROCEDURE( BGl_printzd2nodezd2envz00zz__rgc_treez00, BgL_bgl__printza7d2nodeza7d2za7za7__rgc_treeza7002219za7, BGl__printzd2nodezd2zz__rgc_treez00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc2165z00zz__rgc_treez00, BgL_bgl_or2za7d2za7e3nodeza731za7za7__rgc_treeza7002220z00, BGl_or2zd2ze3nodez31zz__rgc_treez00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_proc2166z00zz__rgc_treez00, BgL_bgl_sequence2za7d2za7e3nodeza731za7za7__rgc_treeza7002221z00, BGl_sequence2zd2ze3nodez31zz__rgc_treez00, 0L, 2 );



/* module-initialization */
BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zz__rgc_treez00(long BgL_checksumz00_1145, char * BgL_fromz00_1146)
{ AN_OBJECT;
{ 
if(
CBOOL(BGl_requirezd2initializa7ationz75zz__rgc_treez00))
{ 
BGl_requirezd2initializa7ationz75zz__rgc_treez00 = 
BBOOL(((bool_t)0)); 
BGl_cnstzd2initzd2zz__rgc_treez00(); 
BGl_importedzd2moduleszd2initz00zz__rgc_treez00(); 
BGl_toplevelzd2initzd2zz__rgc_treez00(); 
return BUNSPEC;}  else 
{ 
return BUNSPEC;} } 
}



/* cnst-init */
obj_t BGl_cnstzd2initzd2zz__rgc_treez00()
{ AN_OBJECT;
{ /* ./Rgc/rgctree.scm 14 */
BGl_symbol2156z00zz__rgc_treez00 = 
string_to_symbol("epsilon"); 
BGl_symbol2157z00zz__rgc_treez00 = 
string_to_symbol("node"); 
BGl_symbol2158z00zz__rgc_treez00 = 
string_to_symbol("or"); 
BGl_symbol2159z00zz__rgc_treez00 = 
string_to_symbol("sequence"); 
BGl_symbol2160z00zz__rgc_treez00 = 
string_to_symbol("*"); 
BGl_symbol2161z00zz__rgc_treez00 = 
string_to_symbol("submatch"); 
BGl_symbol2162z00zz__rgc_treez00 = 
string_to_symbol("bol"); 
BGl_symbol2170z00zz__rgc_treez00 = 
string_to_symbol("let"); 
BGl_symbol2173z00zz__rgc_treez00 = 
string_to_symbol("sz"); 
BGl_symbol2175z00zz__rgc_treez00 = 
string_to_symbol("vector-length"); 
BGl_symbol2176z00zz__rgc_treez00 = 
string_to_symbol("fp"); 
{ /* ./Rgc/rgctree.scm 304 */
obj_t BgL_auxz00_1164;
BgL_auxz00_1164 = 
MAKE_PAIR(BGl_symbol2176z00zz__rgc_treez00, BNIL); 
BGl_list2174z00zz__rgc_treez00 = 
MAKE_PAIR(BGl_symbol2175z00zz__rgc_treez00, BgL_auxz00_1164); } 
{ /* ./Rgc/rgctree.scm 304 */
obj_t BgL_auxz00_1167;
BgL_auxz00_1167 = 
MAKE_PAIR(BGl_list2174z00zz__rgc_treez00, BNIL); 
BGl_list2172z00zz__rgc_treez00 = 
MAKE_PAIR(BGl_symbol2173z00zz__rgc_treez00, BgL_auxz00_1167); } 
BGl_list2171z00zz__rgc_treez00 = 
MAKE_PAIR(BGl_list2172z00zz__rgc_treez00, BNIL); 
BGl_symbol2178z00zz__rgc_treez00 = 
string_to_symbol("loop"); 
BGl_symbol2181z00zz__rgc_treez00 = 
string_to_symbol("i"); 
{ /* ./Rgc/rgctree.scm 304 */
obj_t BgL_auxz00_1173;
{ /* ./Rgc/rgctree.scm 304 */
obj_t BgL_auxz00_1174;
BgL_auxz00_1174 = 
BINT(((long)0)); 
BgL_auxz00_1173 = 
MAKE_PAIR(BgL_auxz00_1174, BNIL); } 
BGl_list2180z00zz__rgc_treez00 = 
MAKE_PAIR(BGl_symbol2181z00zz__rgc_treez00, BgL_auxz00_1173); } 
BGl_list2179z00zz__rgc_treez00 = 
MAKE_PAIR(BGl_list2180z00zz__rgc_treez00, BNIL); 
BGl_symbol2184z00zz__rgc_treez00 = 
string_to_symbol("if"); 
BGl_symbol2186z00zz__rgc_treez00 = 
string_to_symbol("<fx"); 
{ /* ./Rgc/rgctree.scm 304 */
obj_t BgL_auxz00_1181;
{ /* ./Rgc/rgctree.scm 304 */
obj_t BgL_auxz00_1182;
BgL_auxz00_1182 = 
MAKE_PAIR(BGl_symbol2173z00zz__rgc_treez00, BNIL); 
BgL_auxz00_1181 = 
MAKE_PAIR(BGl_symbol2181z00zz__rgc_treez00, BgL_auxz00_1182); } 
BGl_list2185z00zz__rgc_treez00 = 
MAKE_PAIR(BGl_symbol2186z00zz__rgc_treez00, BgL_auxz00_1181); } 
BGl_symbol2188z00zz__rgc_treez00 = 
string_to_symbol("begin"); 
BGl_symbol2190z00zz__rgc_treez00 = 
string_to_symbol("print"); 
BGl_symbol2193z00zz__rgc_treez00 = 
string_to_symbol("reverse"); 
BGl_symbol2195z00zz__rgc_treez00 = 
string_to_symbol("rgcset->list"); 
BGl_symbol2197z00zz__rgc_treez00 = 
string_to_symbol("vector-ref"); 
{ /* ./Rgc/rgctree.scm 304 */
obj_t BgL_auxz00_1191;
{ /* ./Rgc/rgctree.scm 304 */
obj_t BgL_auxz00_1192;
BgL_auxz00_1192 = 
MAKE_PAIR(BGl_symbol2181z00zz__rgc_treez00, BNIL); 
BgL_auxz00_1191 = 
MAKE_PAIR(BGl_symbol2176z00zz__rgc_treez00, BgL_auxz00_1192); } 
BGl_list2196z00zz__rgc_treez00 = 
MAKE_PAIR(BGl_symbol2197z00zz__rgc_treez00, BgL_auxz00_1191); } 
{ /* ./Rgc/rgctree.scm 304 */
obj_t BgL_auxz00_1196;
BgL_auxz00_1196 = 
MAKE_PAIR(BGl_list2196z00zz__rgc_treez00, BNIL); 
BGl_list2194z00zz__rgc_treez00 = 
MAKE_PAIR(BGl_symbol2195z00zz__rgc_treez00, BgL_auxz00_1196); } 
{ /* ./Rgc/rgctree.scm 304 */
obj_t BgL_auxz00_1199;
BgL_auxz00_1199 = 
MAKE_PAIR(BGl_list2194z00zz__rgc_treez00, BNIL); 
BGl_list2192z00zz__rgc_treez00 = 
MAKE_PAIR(BGl_symbol2193z00zz__rgc_treez00, BgL_auxz00_1199); } 
{ /* ./Rgc/rgctree.scm 304 */
obj_t BgL_auxz00_1202;
{ /* ./Rgc/rgctree.scm 304 */
obj_t BgL_auxz00_1203;
{ /* ./Rgc/rgctree.scm 304 */
obj_t BgL_auxz00_1204;
BgL_auxz00_1204 = 
MAKE_PAIR(BGl_list2192z00zz__rgc_treez00, BNIL); 
BgL_auxz00_1203 = 
MAKE_PAIR(BGl_string2191z00zz__rgc_treez00, BgL_auxz00_1204); } 
BgL_auxz00_1202 = 
MAKE_PAIR(BGl_symbol2181z00zz__rgc_treez00, BgL_auxz00_1203); } 
BGl_list2189z00zz__rgc_treez00 = 
MAKE_PAIR(BGl_symbol2190z00zz__rgc_treez00, BgL_auxz00_1202); } 
BGl_symbol2200z00zz__rgc_treez00 = 
string_to_symbol("+fx"); 
{ /* ./Rgc/rgctree.scm 304 */
obj_t BgL_auxz00_1210;
{ /* ./Rgc/rgctree.scm 304 */
obj_t BgL_auxz00_1211;
{ /* ./Rgc/rgctree.scm 304 */
obj_t BgL_auxz00_1212;
BgL_auxz00_1212 = 
BINT(((long)1)); 
BgL_auxz00_1211 = 
MAKE_PAIR(BgL_auxz00_1212, BNIL); } 
BgL_auxz00_1210 = 
MAKE_PAIR(BGl_symbol2181z00zz__rgc_treez00, BgL_auxz00_1211); } 
BGl_list2199z00zz__rgc_treez00 = 
MAKE_PAIR(BGl_symbol2200z00zz__rgc_treez00, BgL_auxz00_1210); } 
{ /* ./Rgc/rgctree.scm 304 */
obj_t BgL_auxz00_1217;
BgL_auxz00_1217 = 
MAKE_PAIR(BGl_list2199z00zz__rgc_treez00, BNIL); 
BGl_list2198z00zz__rgc_treez00 = 
MAKE_PAIR(BGl_symbol2178z00zz__rgc_treez00, BgL_auxz00_1217); } 
{ /* ./Rgc/rgctree.scm 304 */
obj_t BgL_auxz00_1220;
{ /* ./Rgc/rgctree.scm 304 */
obj_t BgL_auxz00_1221;
BgL_auxz00_1221 = 
MAKE_PAIR(BGl_list2198z00zz__rgc_treez00, BNIL); 
BgL_auxz00_1220 = 
MAKE_PAIR(BGl_list2189z00zz__rgc_treez00, BgL_auxz00_1221); } 
BGl_list2187z00zz__rgc_treez00 = 
MAKE_PAIR(BGl_symbol2188z00zz__rgc_treez00, BgL_auxz00_1220); } 
{ /* ./Rgc/rgctree.scm 304 */
obj_t BgL_auxz00_1225;
{ /* ./Rgc/rgctree.scm 304 */
obj_t BgL_auxz00_1226;
BgL_auxz00_1226 = 
MAKE_PAIR(BGl_list2187z00zz__rgc_treez00, BNIL); 
BgL_auxz00_1225 = 
MAKE_PAIR(BGl_list2185z00zz__rgc_treez00, BgL_auxz00_1226); } 
BGl_list2183z00zz__rgc_treez00 = 
MAKE_PAIR(BGl_symbol2184z00zz__rgc_treez00, BgL_auxz00_1225); } 
{ /* ./Rgc/rgctree.scm 304 */
obj_t BgL_auxz00_1230;
{ /* ./Rgc/rgctree.scm 304 */
obj_t BgL_auxz00_1231;
{ /* ./Rgc/rgctree.scm 304 */
obj_t BgL_auxz00_1232;
BgL_auxz00_1232 = 
MAKE_PAIR(BGl_list2183z00zz__rgc_treez00, BNIL); 
BgL_auxz00_1231 = 
MAKE_PAIR(BGl_list2179z00zz__rgc_treez00, BgL_auxz00_1232); } 
BgL_auxz00_1230 = 
MAKE_PAIR(BGl_symbol2178z00zz__rgc_treez00, BgL_auxz00_1231); } 
BGl_list2177z00zz__rgc_treez00 = 
MAKE_PAIR(BGl_symbol2170z00zz__rgc_treez00, BgL_auxz00_1230); } 
{ /* ./Rgc/rgctree.scm 304 */
obj_t BgL_auxz00_1237;
{ /* ./Rgc/rgctree.scm 304 */
obj_t BgL_auxz00_1238;
BgL_auxz00_1238 = 
MAKE_PAIR(BGl_list2177z00zz__rgc_treez00, BNIL); 
BgL_auxz00_1237 = 
MAKE_PAIR(BGl_list2171z00zz__rgc_treez00, BgL_auxz00_1238); } 
BGl_list2169z00zz__rgc_treez00 = 
MAKE_PAIR(BGl_symbol2170z00zz__rgc_treez00, BgL_auxz00_1237); } 
return ( 
BGl_symbol2203z00zz__rgc_treez00 = 
string_to_symbol("blop"), BUNSPEC) ;} 
}



/* toplevel-init */
obj_t BGl_toplevelzd2initzd2zz__rgc_treez00()
{ AN_OBJECT;
{ /* ./Rgc/rgctree.scm 14 */
BGl_za2positionzd2numberza2zd2zz__rgc_treez00 = BUNSPEC; 
BGl_za2positionsza2z00zz__rgc_treez00 = BUNSPEC; 
BGl_za2submatchesza2z00zz__rgc_treez00 = BUNSPEC; 
BGl_za2currentzd2positionza2zd2zz__rgc_treez00 = BUNSPEC; 
return ( 
BGl_za2followposza2z00zz__rgc_treez00 = BUNSPEC, BUNSPEC) ;} 
}



/* regular-tree->node */
BGL_EXPORTED_DEF obj_t BGl_regularzd2treezd2ze3nodeze3zz__rgc_treez00(obj_t BgL_treez00_15)
{ AN_OBJECT;
{ /* ./Rgc/rgctree.scm 51 */
{ /* ./Rgc/rgctree.scm 54 */
long BgL_auxz00_1243;
BgL_auxz00_1243 = 
BGl_regularzd2treezd2positionzd2numberzd2zz__rgc_treez00(BgL_treez00_15); 
BGl_za2positionzd2numberza2zd2zz__rgc_treez00 = 
BINT(BgL_auxz00_1243); } 
BGl_initzd2positionsz12zc0zz__rgc_treez00(); 
BGl_initzd2followposz12zc0zz__rgc_treez00(); 
{ /* ./Rgc/rgctree.scm 59 */
obj_t BgL_treez00_399;
BgL_treez00_399 = 
BGl_treezd2ze3nodez31zz__rgc_treez00(BgL_treez00_15); 
{ /* ./Rgc/rgctree.scm 61 */
obj_t BgL_val1_1004z00_401;obj_t BgL_val2_1005z00_402;obj_t BgL_val3_1006z00_403;
BgL_val1_1004z00_401 = BGl_za2followposza2z00zz__rgc_treez00; 
BgL_val2_1005z00_402 = BGl_za2positionsza2z00zz__rgc_treez00; 
BgL_val3_1006z00_403 = BGl_za2submatchesza2z00zz__rgc_treez00; 
{ /* ./Rgc/rgctree.scm 61 */
int BgL_auxz00_1249;
BgL_auxz00_1249 = 
(int)(((long)4)); 
BGL_MVALUES_NUMBER_SET(BgL_auxz00_1249); } 
{ /* ./Rgc/rgctree.scm 61 */
int BgL_auxz00_1252;
BgL_auxz00_1252 = 
(int)(((long)1)); 
BGL_MVALUES_VAL_SET(BgL_auxz00_1252, BgL_val1_1004z00_401); } 
{ /* ./Rgc/rgctree.scm 61 */
int BgL_auxz00_1255;
BgL_auxz00_1255 = 
(int)(((long)2)); 
BGL_MVALUES_VAL_SET(BgL_auxz00_1255, BgL_val2_1005z00_402); } 
{ /* ./Rgc/rgctree.scm 61 */
int BgL_auxz00_1258;
BgL_auxz00_1258 = 
(int)(((long)3)); 
BGL_MVALUES_VAL_SET(BgL_auxz00_1258, BgL_val3_1006z00_403); } 
return BgL_treez00_399;} } } 
}



/* _regular-tree->node */
obj_t BGl__regularzd2treezd2ze3nodeze3zz__rgc_treez00(obj_t BgL_envz00_1107, obj_t BgL_treez00_1108)
{ AN_OBJECT;
{ /* ./Rgc/rgctree.scm 51 */
return 
BGl_regularzd2treezd2ze3nodeze3zz__rgc_treez00(BgL_treez00_1108);} 
}



/* regular-tree-position-number */
long BGl_regularzd2treezd2positionzd2numberzd2zz__rgc_treez00(obj_t BgL_treez00_16)
{ AN_OBJECT;
{ /* ./Rgc/rgctree.scm 77 */
return 
BGl_loopz72z72zz__rgc_treez00(BgL_treez00_16, ((long)0));} 
}



/* loop' */
long BGl_loopz72z72zz__rgc_treez00(obj_t BgL_treez00_404, long BgL_numz00_405)
{ AN_OBJECT;
{ /* ./Rgc/rgctree.scm 78 */
BGl_loopz72z72zz__rgc_treez00:
if(
NULLP(BgL_treez00_404))
{ /* ./Rgc/rgctree.scm 81 */
return BgL_numz00_405;}  else 
{ /* ./Rgc/rgctree.scm 83 */
bool_t BgL_testz00_1265;
{ /* ./Rgc/rgctree.scm 83 */
obj_t BgL_auxz00_1266;
BgL_auxz00_1266 = 
CAR(BgL_treez00_404); 
BgL_testz00_1265 = 
PAIRP(BgL_auxz00_1266); } 
if(BgL_testz00_1265)
{ /* ./Rgc/rgctree.scm 83 */
{ 
long BgL_numz00_1271;obj_t BgL_treez00_1269;
BgL_treez00_1269 = 
CDR(BgL_treez00_404); 
BgL_numz00_1271 = 
BGl_loopz72z72zz__rgc_treez00(
CAR(BgL_treez00_404), BgL_numz00_405); 
BgL_numz00_405 = BgL_numz00_1271; 
BgL_treez00_404 = BgL_treez00_1269; 
goto BGl_loopz72z72zz__rgc_treez00;} }  else 
{ /* ./Rgc/rgctree.scm 85 */
bool_t BgL_testz00_1274;
{ /* ./Rgc/rgctree.scm 85 */
obj_t BgL_auxz00_1275;
BgL_auxz00_1275 = 
CAR(BgL_treez00_404); 
BgL_testz00_1274 = 
INTEGERP(BgL_auxz00_1275); } 
if(BgL_testz00_1274)
{ /* ./Rgc/rgctree.scm 85 */
{ 
long BgL_numz00_1280;obj_t BgL_treez00_1278;
BgL_treez00_1278 = 
CDR(BgL_treez00_404); 
BgL_numz00_1280 = 
(BgL_numz00_405+((long)1)); 
BgL_numz00_405 = BgL_numz00_1280; 
BgL_treez00_404 = BgL_treez00_1278; 
goto BGl_loopz72z72zz__rgc_treez00;} }  else 
{ /* ./Rgc/rgctree.scm 85 */
{ 
obj_t BgL_treez00_1282;
BgL_treez00_1282 = 
CDR(BgL_treez00_404); 
BgL_treez00_404 = BgL_treez00_1282; 
goto BGl_loopz72z72zz__rgc_treez00;} } } } } 
}



/* init-positions! */
obj_t BGl_initzd2positionsz12zc0zz__rgc_treez00()
{ AN_OBJECT;
{ /* ./Rgc/rgctree.scm 93 */
BGl_za2currentzd2positionza2zd2zz__rgc_treez00 = 
BINT(((long)-1)); 
{ /* ./Rgc/rgctree.scm 95 */
obj_t BgL_auxz00_1287;int BgL_auxz00_1285;
BgL_auxz00_1287 = 
BINT(((long)-1)); 
BgL_auxz00_1285 = 
CINT(BGl_za2positionzd2numberza2zd2zz__rgc_treez00); 
BGl_za2positionsza2z00zz__rgc_treez00 = 
make_vector(BgL_auxz00_1285, BgL_auxz00_1287); } 
{ /* ./Rgc/rgctree.scm 96 */
int BgL_auxz00_1290;
BgL_auxz00_1290 = 
CINT(BGl_za2positionzd2numberza2zd2zz__rgc_treez00); 
return ( 
BGl_za2submatchesza2z00zz__rgc_treez00 = 
make_vector(BgL_auxz00_1290, BNIL), BUNSPEC) ;} } 
}



/* tree->node */
obj_t BGl_treezd2ze3nodez31zz__rgc_treez00(obj_t BgL_treez00_18)
{ AN_OBJECT;
{ /* ./Rgc/rgctree.scm 114 */
if(
INTEGERP(BgL_treez00_18))
{ /* ./Rgc/rgctree.scm 116 */
return 
BGl_integerzd2ze3nodez31zz__rgc_treez00(BgL_treez00_18);}  else 
{ /* ./Rgc/rgctree.scm 116 */
if(
(BgL_treez00_18==BGl_symbol2156z00zz__rgc_treez00))
{ /* ./Rgc/rgctree.scm 118 */
{ /* ./Rgc/rgctree.scm 119 */
obj_t BgL_firstposz00_758;obj_t BgL_lastposz00_759;
BgL_firstposz00_758 = 
BGl_makezd2rgcsetzd2zz__rgc_setz00(
CINT(BGl_za2positionzd2numberza2zd2zz__rgc_treez00)); 
BgL_lastposz00_759 = 
BGl_makezd2rgcsetzd2zz__rgc_setz00(
CINT(BGl_za2positionzd2numberza2zd2zz__rgc_treez00)); 
{ /* ./Rgc/rgctree.scm 119 */
obj_t BgL_newz00_763;
{ /* ./Rgc/rgctree.scm 119 */
int BgL_auxz00_1302;
BgL_auxz00_1302 = 
(int)(((long)3)); 
BgL_newz00_763 = 
create_struct(BGl_symbol2157z00zz__rgc_treez00, BgL_auxz00_1302); } 
{ /* ./Rgc/rgctree.scm 119 */
int BgL_auxz00_1305;
BgL_auxz00_1305 = 
(int)(((long)2)); 
STRUCT_SET(BgL_newz00_763, BgL_auxz00_1305, BTRUE); } 
{ /* ./Rgc/rgctree.scm 119 */
int BgL_auxz00_1308;
BgL_auxz00_1308 = 
(int)(((long)1)); 
STRUCT_SET(BgL_newz00_763, BgL_auxz00_1308, BgL_lastposz00_759); } 
{ /* ./Rgc/rgctree.scm 119 */
int BgL_auxz00_1311;
BgL_auxz00_1311 = 
(int)(((long)0)); 
STRUCT_SET(BgL_newz00_763, BgL_auxz00_1311, BgL_firstposz00_758); } 
return BgL_newz00_763;} } }  else 
{ /* ./Rgc/rgctree.scm 118 */
if(
PAIRP(BgL_treez00_18))
{ /* ./Rgc/rgctree.scm 120 */
{ /* ./Rgc/rgctree.scm 123 */
obj_t BgL_casezd2valuezd2_421;
BgL_casezd2valuezd2_421 = 
CAR(BgL_treez00_18); 
if(
BGl_eqvzf3zf3zz__r4_equivalence_6_2z00(BgL_casezd2valuezd2_421, BGl_symbol2158z00zz__rgc_treez00))
{ /* ./Rgc/rgctree.scm 123 */
return 
BGl_orzd2ze3nodez31zz__rgc_treez00(
CDR(BgL_treez00_18));}  else 
{ /* ./Rgc/rgctree.scm 123 */
if(
BGl_eqvzf3zf3zz__r4_equivalence_6_2z00(BgL_casezd2valuezd2_421, BGl_symbol2159z00zz__rgc_treez00))
{ /* ./Rgc/rgctree.scm 123 */
return 
BGl_sequencezd2ze3nodez31zz__rgc_treez00(
CDR(BgL_treez00_18));}  else 
{ /* ./Rgc/rgctree.scm 123 */
if(
BGl_eqvzf3zf3zz__r4_equivalence_6_2z00(BgL_casezd2valuezd2_421, BGl_symbol2160z00zz__rgc_treez00))
{ /* ./Rgc/rgctree.scm 126 */
obj_t BgL_auxz00_1327;
{ /* ./Rgc/rgctree.scm 126 */
obj_t BgL_auxz00_1328;
BgL_auxz00_1328 = 
CDR(BgL_treez00_18); 
BgL_auxz00_1327 = 
CAR(BgL_auxz00_1328); } 
return 
BGl_za2zd2ze3nodez93zz__rgc_treez00(BgL_auxz00_1327);}  else 
{ /* ./Rgc/rgctree.scm 123 */
if(
BGl_eqvzf3zf3zz__r4_equivalence_6_2z00(BgL_casezd2valuezd2_421, BGl_symbol2161z00zz__rgc_treez00))
{ /* ./Rgc/rgctree.scm 123 */
return 
BGl_submatchzd2ze3nodez31zz__rgc_treez00(
CDR(BgL_treez00_18));}  else 
{ /* ./Rgc/rgctree.scm 123 */
if(
BGl_eqvzf3zf3zz__r4_equivalence_6_2z00(BgL_casezd2valuezd2_421, BGl_symbol2162z00zz__rgc_treez00))
{ /* ./Rgc/rgctree.scm 128 */
obj_t BgL_arg1122z00_431;
BgL_arg1122z00_431 = 
CDR(BgL_treez00_18); 
{ /* ./Rgc/rgctree.scm 128 */
obj_t BgL_nodez00_790;
BgL_nodez00_790 = 
BGl_treezd2ze3nodez31zz__rgc_treez00(BgL_arg1122z00_431); 
{ /* ./Rgc/rgctree.scm 128 */
obj_t BgL_firstposz00_791;
{ /* ./Rgc/rgctree.scm 128 */
int BgL_auxz00_1340;
BgL_auxz00_1340 = 
(int)(((long)0)); 
BgL_firstposz00_791 = 
STRUCT_REF(BgL_nodez00_790, BgL_auxz00_1340); } 
{ /* ./Rgc/rgctree.scm 128 */
obj_t BgL_lastposz00_792;
{ /* ./Rgc/rgctree.scm 128 */
int BgL_auxz00_1343;
BgL_auxz00_1343 = 
(int)(((long)1)); 
BgL_lastposz00_792 = 
STRUCT_REF(BgL_nodez00_790, BgL_auxz00_1343); } 
{ /* ./Rgc/rgctree.scm 128 */

return 
PROCEDURE_ENTRY(BgL_nodez00_790)(BgL_nodez00_790, BgL_firstposz00_791, BgL_lastposz00_792, BFALSE, BEOA);} } } } }  else 
{ /* ./Rgc/rgctree.scm 123 */
FAILURE(BFALSE,BGl_string2163z00zz__rgc_treez00,BgL_treez00_18);} } } } } } }  else 
{ /* ./Rgc/rgctree.scm 120 */
FAILURE(BFALSE,BGl_string2164z00zz__rgc_treez00,BgL_treez00_18);} } } } 
}



/* integer->node */
obj_t BGl_integerzd2ze3nodez31zz__rgc_treez00(obj_t BgL_treez00_19)
{ AN_OBJECT;
{ /* ./Rgc/rgctree.scm 134 */
{ /* ./Rgc/rgctree.scm 135 */
obj_t BgL_positionz00_432;obj_t BgL_firstposz00_433;obj_t BgL_lastposz00_434;
{ /* ./Rgc/rgctree.scm 135 */
long BgL_za71za7_806;
BgL_za71za7_806 = 
(long)CINT(BGl_za2currentzd2positionza2zd2zz__rgc_treez00); 
{ /* ./Rgc/rgctree.scm 135 */
long BgL_auxz00_1351;
BgL_auxz00_1351 = 
(BgL_za71za7_806+((long)1)); 
BGl_za2currentzd2positionza2zd2zz__rgc_treez00 = 
BINT(BgL_auxz00_1351); } } 
{ 
int BgL_auxz00_1354;
BgL_auxz00_1354 = 
CINT(BGl_za2currentzd2positionza2zd2zz__rgc_treez00); 
VECTOR_SET(BGl_za2positionsza2z00zz__rgc_treez00,BgL_auxz00_1354,BgL_treez00_19); } 
BgL_positionz00_432 = BGl_za2currentzd2positionza2zd2zz__rgc_treez00; 
BgL_firstposz00_433 = 
BGl_makezd2rgcsetzd2zz__rgc_setz00(
CINT(BGl_za2positionzd2numberza2zd2zz__rgc_treez00)); 
BgL_lastposz00_434 = 
BGl_makezd2rgcsetzd2zz__rgc_setz00(
CINT(BGl_za2positionzd2numberza2zd2zz__rgc_treez00)); 
BGl_rgcsetzd2addz12zc0zz__rgc_setz00(BgL_firstposz00_433, 
CINT(BgL_positionz00_432)); 
BGl_rgcsetzd2addz12zc0zz__rgc_setz00(BgL_lastposz00_434, 
CINT(BgL_positionz00_432)); 
{ /* ./Rgc/rgctree.scm 140 */
obj_t BgL_newz00_814;
{ /* ./Rgc/rgctree.scm 140 */
int BgL_auxz00_1365;
BgL_auxz00_1365 = 
(int)(((long)3)); 
BgL_newz00_814 = 
create_struct(BGl_symbol2157z00zz__rgc_treez00, BgL_auxz00_1365); } 
{ /* ./Rgc/rgctree.scm 140 */
int BgL_auxz00_1368;
BgL_auxz00_1368 = 
(int)(((long)2)); 
STRUCT_SET(BgL_newz00_814, BgL_auxz00_1368, BFALSE); } 
{ /* ./Rgc/rgctree.scm 140 */
int BgL_auxz00_1371;
BgL_auxz00_1371 = 
(int)(((long)1)); 
STRUCT_SET(BgL_newz00_814, BgL_auxz00_1371, BgL_lastposz00_434); } 
{ /* ./Rgc/rgctree.scm 140 */
int BgL_auxz00_1374;
BgL_auxz00_1374 = 
(int)(((long)0)); 
STRUCT_SET(BgL_newz00_814, BgL_auxz00_1374, BgL_firstposz00_433); } 
return BgL_newz00_814;} } } 
}



/* binary->node */
obj_t BGl_binaryzd2ze3nodez31zz__rgc_treez00(obj_t BgL_binzd2opzd2_21, obj_t BgL_tsz00_22)
{ AN_OBJECT;
{ /* ./Rgc/rgctree.scm 153 */
if(
NULLP(BgL_tsz00_22))
{ /* ./Rgc/rgctree.scm 154 */
return 
BGl_treezd2ze3nodez31zz__rgc_treez00(BGl_symbol2156z00zz__rgc_treez00);}  else 
{ /* ./Rgc/rgctree.scm 154 */
return 
BGl_loopz00zz__rgc_treez00(BgL_binzd2opzd2_21, BgL_tsz00_22);} } 
}



/* loop */
obj_t BGl_loopz00zz__rgc_treez00(obj_t BgL_binzd2opzd2_1141, obj_t BgL_tsz00_438)
{ AN_OBJECT;
{ /* ./Rgc/rgctree.scm 156 */
{ /* ./Rgc/rgctree.scm 157 */
bool_t BgL_testz00_1381;
{ /* ./Rgc/rgctree.scm 157 */
obj_t BgL_auxz00_1382;
BgL_auxz00_1382 = 
CDR(BgL_tsz00_438); 
BgL_testz00_1381 = 
NULLP(BgL_auxz00_1382); } 
if(BgL_testz00_1381)
{ /* ./Rgc/rgctree.scm 157 */
return 
BGl_treezd2ze3nodez31zz__rgc_treez00(
CAR(BgL_tsz00_438));}  else 
{ /* ./Rgc/rgctree.scm 159 */
obj_t BgL_arg1154z00_442;obj_t BgL_arg1155z00_443;
BgL_arg1154z00_442 = 
BGl_treezd2ze3nodez31zz__rgc_treez00(
CAR(BgL_tsz00_438)); 
BgL_arg1155z00_443 = 
BGl_loopz00zz__rgc_treez00(BgL_binzd2opzd2_1141, 
CDR(BgL_tsz00_438)); 
return 
PROCEDURE_ENTRY(BgL_binzd2opzd2_1141)(BgL_binzd2opzd2_1141, BgL_arg1154z00_442, BgL_arg1155z00_443, BEOA);} } } 
}



/* or->node */
obj_t BGl_orzd2ze3nodez31zz__rgc_treez00(obj_t BgL_tsz00_23)
{ AN_OBJECT;
{ /* ./Rgc/rgctree.scm 164 */
return 
BGl_binaryzd2ze3nodez31zz__rgc_treez00(BGl_proc2165z00zz__rgc_treez00, BgL_tsz00_23);} 
}



/* or2->node */
obj_t BGl_or2zd2ze3nodez31zz__rgc_treez00(obj_t BgL_envz00_1110, obj_t BgL_n1z00_1111, obj_t BgL_n2z00_1112)
{ AN_OBJECT;
{ /* ./Rgc/rgctree.scm 169 */
{ 
obj_t BgL_n1z00_448;obj_t BgL_n2z00_449;
BgL_n1z00_448 = BgL_n1z00_1111; 
BgL_n2z00_449 = BgL_n2z00_1112; 
{ /* ./Rgc/rgctree.scm 166 */
obj_t BgL_firstposz00_451;
{ /* ./Rgc/rgctree.scm 166 */
obj_t BgL_auxz00_1398;obj_t BgL_auxz00_1394;
{ /* ./Rgc/rgctree.scm 166 */
int BgL_auxz00_1399;
BgL_auxz00_1399 = 
(int)(((long)0)); 
BgL_auxz00_1398 = 
STRUCT_REF(BgL_n2z00_449, BgL_auxz00_1399); } 
{ /* ./Rgc/rgctree.scm 166 */
int BgL_auxz00_1395;
BgL_auxz00_1395 = 
(int)(((long)0)); 
BgL_auxz00_1394 = 
STRUCT_REF(BgL_n1z00_448, BgL_auxz00_1395); } 
BgL_firstposz00_451 = 
BGl_rgcsetzd2orzd2zz__rgc_setz00(BgL_auxz00_1394, BgL_auxz00_1398); } 
{ /* ./Rgc/rgctree.scm 166 */
obj_t BgL_lastposz00_452;
{ /* ./Rgc/rgctree.scm 167 */
obj_t BgL_auxz00_1407;obj_t BgL_auxz00_1403;
{ /* ./Rgc/rgctree.scm 167 */
int BgL_auxz00_1408;
BgL_auxz00_1408 = 
(int)(((long)1)); 
BgL_auxz00_1407 = 
STRUCT_REF(BgL_n2z00_449, BgL_auxz00_1408); } 
{ /* ./Rgc/rgctree.scm 167 */
int BgL_auxz00_1404;
BgL_auxz00_1404 = 
(int)(((long)1)); 
BgL_auxz00_1403 = 
STRUCT_REF(BgL_n1z00_448, BgL_auxz00_1404); } 
BgL_lastposz00_452 = 
BGl_rgcsetzd2orzd2zz__rgc_setz00(BgL_auxz00_1403, BgL_auxz00_1407); } 
{ /* ./Rgc/rgctree.scm 167 */
obj_t BgL_nullablezf3zf3_453;
{ /* ./Rgc/rgctree.scm 168 */
obj_t BgL__ortest_1007z00_454;
{ /* ./Rgc/rgctree.scm 168 */
int BgL_auxz00_1412;
BgL_auxz00_1412 = 
(int)(((long)2)); 
BgL__ortest_1007z00_454 = 
STRUCT_REF(BgL_n1z00_448, BgL_auxz00_1412); } 
if(
CBOOL(BgL__ortest_1007z00_454))
{ /* ./Rgc/rgctree.scm 168 */
BgL_nullablezf3zf3_453 = BgL__ortest_1007z00_454; }  else 
{ /* ./Rgc/rgctree.scm 168 */
int BgL_auxz00_1417;
BgL_auxz00_1417 = 
(int)(((long)2)); 
BgL_nullablezf3zf3_453 = 
STRUCT_REF(BgL_n2z00_449, BgL_auxz00_1417); } } 
{ /* ./Rgc/rgctree.scm 168 */

{ /* ./Rgc/rgctree.scm 169 */
obj_t BgL_newz00_878;
{ /* ./Rgc/rgctree.scm 169 */
int BgL_auxz00_1420;
BgL_auxz00_1420 = 
(int)(((long)3)); 
BgL_newz00_878 = 
create_struct(BGl_symbol2157z00zz__rgc_treez00, BgL_auxz00_1420); } 
{ /* ./Rgc/rgctree.scm 169 */
int BgL_auxz00_1423;
BgL_auxz00_1423 = 
(int)(((long)2)); 
STRUCT_SET(BgL_newz00_878, BgL_auxz00_1423, BgL_nullablezf3zf3_453); } 
{ /* ./Rgc/rgctree.scm 169 */
int BgL_auxz00_1426;
BgL_auxz00_1426 = 
(int)(((long)1)); 
STRUCT_SET(BgL_newz00_878, BgL_auxz00_1426, BgL_lastposz00_452); } 
{ /* ./Rgc/rgctree.scm 169 */
int BgL_auxz00_1429;
BgL_auxz00_1429 = 
(int)(((long)0)); 
STRUCT_SET(BgL_newz00_878, BgL_auxz00_1429, BgL_firstposz00_451); } 
return BgL_newz00_878;} } } } } } } 
}



/* sequence->node */
obj_t BGl_sequencezd2ze3nodez31zz__rgc_treez00(obj_t BgL_tsz00_24)
{ AN_OBJECT;
{ /* ./Rgc/rgctree.scm 175 */
return 
BGl_binaryzd2ze3nodez31zz__rgc_treez00(BGl_proc2166z00zz__rgc_treez00, BgL_tsz00_24);} 
}



/* sequence2->node */
obj_t BGl_sequence2zd2ze3nodez31zz__rgc_treez00(obj_t BgL_envz00_1115, obj_t BgL_n1z00_1116, obj_t BgL_n2z00_1117)
{ AN_OBJECT;
{ /* ./Rgc/rgctree.scm 189 */
{ 
obj_t BgL_n1z00_461;obj_t BgL_n2z00_462;
BgL_n1z00_461 = BgL_n1z00_1116; 
BgL_n2z00_462 = BgL_n2z00_1117; 
{ /* ./Rgc/rgctree.scm 177 */
obj_t BgL_firstposz00_464;obj_t BgL_lastposz00_465;obj_t BgL_nullablezf3zf3_466;
{ /* ./Rgc/rgctree.scm 177 */
bool_t BgL_testz00_1433;
{ /* ./Rgc/rgctree.scm 177 */
obj_t BgL_auxz00_1434;
{ /* ./Rgc/rgctree.scm 177 */
int BgL_auxz00_1435;
BgL_auxz00_1435 = 
(int)(((long)2)); 
BgL_auxz00_1434 = 
STRUCT_REF(BgL_n1z00_461, BgL_auxz00_1435); } 
BgL_testz00_1433 = 
CBOOL(BgL_auxz00_1434); } 
if(BgL_testz00_1433)
{ /* ./Rgc/rgctree.scm 178 */
obj_t BgL_auxz00_1443;obj_t BgL_auxz00_1439;
{ /* ./Rgc/rgctree.scm 178 */
int BgL_auxz00_1444;
BgL_auxz00_1444 = 
(int)(((long)0)); 
BgL_auxz00_1443 = 
STRUCT_REF(BgL_n2z00_462, BgL_auxz00_1444); } 
{ /* ./Rgc/rgctree.scm 178 */
int BgL_auxz00_1440;
BgL_auxz00_1440 = 
(int)(((long)0)); 
BgL_auxz00_1439 = 
STRUCT_REF(BgL_n1z00_461, BgL_auxz00_1440); } 
BgL_firstposz00_464 = 
BGl_rgcsetzd2orzd2zz__rgc_setz00(BgL_auxz00_1439, BgL_auxz00_1443); }  else 
{ /* ./Rgc/rgctree.scm 179 */
int BgL_auxz00_1448;
BgL_auxz00_1448 = 
(int)(((long)0)); 
BgL_firstposz00_464 = 
STRUCT_REF(BgL_n1z00_461, BgL_auxz00_1448); } } 
{ /* ./Rgc/rgctree.scm 180 */
bool_t BgL_testz00_1451;
{ /* ./Rgc/rgctree.scm 180 */
obj_t BgL_auxz00_1452;
{ /* ./Rgc/rgctree.scm 180 */
int BgL_auxz00_1453;
BgL_auxz00_1453 = 
(int)(((long)2)); 
BgL_auxz00_1452 = 
STRUCT_REF(BgL_n2z00_462, BgL_auxz00_1453); } 
BgL_testz00_1451 = 
CBOOL(BgL_auxz00_1452); } 
if(BgL_testz00_1451)
{ /* ./Rgc/rgctree.scm 181 */
obj_t BgL_auxz00_1461;obj_t BgL_auxz00_1457;
{ /* ./Rgc/rgctree.scm 181 */
int BgL_auxz00_1462;
BgL_auxz00_1462 = 
(int)(((long)1)); 
BgL_auxz00_1461 = 
STRUCT_REF(BgL_n2z00_462, BgL_auxz00_1462); } 
{ /* ./Rgc/rgctree.scm 181 */
int BgL_auxz00_1458;
BgL_auxz00_1458 = 
(int)(((long)1)); 
BgL_auxz00_1457 = 
STRUCT_REF(BgL_n1z00_461, BgL_auxz00_1458); } 
BgL_lastposz00_465 = 
BGl_rgcsetzd2orzd2zz__rgc_setz00(BgL_auxz00_1457, BgL_auxz00_1461); }  else 
{ /* ./Rgc/rgctree.scm 182 */
int BgL_auxz00_1466;
BgL_auxz00_1466 = 
(int)(((long)1)); 
BgL_lastposz00_465 = 
STRUCT_REF(BgL_n2z00_462, BgL_auxz00_1466); } } 
{ /* ./Rgc/rgctree.scm 183 */
bool_t BgL_testz00_1469;
{ /* ./Rgc/rgctree.scm 183 */
obj_t BgL_auxz00_1470;
{ /* ./Rgc/rgctree.scm 183 */
int BgL_auxz00_1471;
BgL_auxz00_1471 = 
(int)(((long)2)); 
BgL_auxz00_1470 = 
STRUCT_REF(BgL_n2z00_462, BgL_auxz00_1471); } 
BgL_testz00_1469 = 
CBOOL(BgL_auxz00_1470); } 
if(BgL_testz00_1469)
{ /* ./Rgc/rgctree.scm 183 */
int BgL_auxz00_1475;
BgL_auxz00_1475 = 
(int)(((long)2)); 
BgL_nullablezf3zf3_466 = 
STRUCT_REF(BgL_n1z00_461, BgL_auxz00_1475); }  else 
{ /* ./Rgc/rgctree.scm 183 */
BgL_nullablezf3zf3_466 = BFALSE; } } 
{ /* ./Rgc/rgctree.scm 185 */
obj_t BgL_arg1192z00_468;
{ /* ./Rgc/rgctree.scm 187 */
int BgL_auxz00_1478;
BgL_auxz00_1478 = 
(int)(((long)1)); 
BgL_arg1192z00_468 = 
STRUCT_REF(BgL_n1z00_461, BgL_auxz00_1478); } 
{ /* ./Rgc/rgctree.scm 186 */
obj_t BgL_zc3anonymousza31194ze3z83_1113;
{ 
int BgL_auxz00_1483;int BgL_auxz00_1481;
BgL_auxz00_1483 = 
(int)(((long)1)); 
BgL_auxz00_1481 = 
(int)(((long)1)); 
BgL_zc3anonymousza31194ze3z83_1113 = 
make_fx_procedure(BGl_zc3anonymousza31194ze3z83zz__rgc_treez00, BgL_auxz00_1481, BgL_auxz00_1483); } 
{ /* ./Rgc/rgctree.scm 186 */
int BgL_auxz00_1486;
BgL_auxz00_1486 = 
(int)(((long)0)); 
PROCEDURE_SET(BgL_zc3anonymousza31194ze3z83_1113, BgL_auxz00_1486, BgL_n2z00_462); } 
BGl_forzd2eachzd2rgcsetz00zz__rgc_setz00(BgL_zc3anonymousza31194ze3z83_1113, BgL_arg1192z00_468); } } 
{ /* ./Rgc/rgctree.scm 189 */
obj_t BgL_newz00_939;
{ /* ./Rgc/rgctree.scm 189 */
int BgL_auxz00_1490;
BgL_auxz00_1490 = 
(int)(((long)3)); 
BgL_newz00_939 = 
create_struct(BGl_symbol2157z00zz__rgc_treez00, BgL_auxz00_1490); } 
{ /* ./Rgc/rgctree.scm 189 */
int BgL_auxz00_1493;
BgL_auxz00_1493 = 
(int)(((long)2)); 
STRUCT_SET(BgL_newz00_939, BgL_auxz00_1493, BgL_nullablezf3zf3_466); } 
{ /* ./Rgc/rgctree.scm 189 */
int BgL_auxz00_1496;
BgL_auxz00_1496 = 
(int)(((long)1)); 
STRUCT_SET(BgL_newz00_939, BgL_auxz00_1496, BgL_lastposz00_465); } 
{ /* ./Rgc/rgctree.scm 189 */
int BgL_auxz00_1499;
BgL_auxz00_1499 = 
(int)(((long)0)); 
STRUCT_SET(BgL_newz00_939, BgL_auxz00_1499, BgL_firstposz00_464); } 
return BgL_newz00_939;} } } } 
}



/* <anonymous:1194> */
obj_t BGl_zc3anonymousza31194ze3z83zz__rgc_treez00(obj_t BgL_envz00_1118, obj_t BgL_iz00_1120)
{ AN_OBJECT;
{ /* ./Rgc/rgctree.scm 185 */
{ /* ./Rgc/rgctree.scm 186 */
obj_t BgL_n2z00_1119;
{ /* ./Rgc/rgctree.scm 186 */
int BgL_auxz00_1502;
BgL_auxz00_1502 = 
(int)(((long)0)); 
BgL_n2z00_1119 = 
PROCEDURE_REF(BgL_envz00_1118, BgL_auxz00_1502); } 
{ 
obj_t BgL_iz00_469;
BgL_iz00_469 = BgL_iz00_1120; 
{ /* ./Rgc/rgctree.scm 186 */
obj_t BgL_arg1196z00_927;
{ /* ./Rgc/rgctree.scm 186 */
int BgL_auxz00_1505;
BgL_auxz00_1505 = 
(int)(((long)0)); 
BgL_arg1196z00_927 = 
STRUCT_REF(BgL_n2z00_1119, BgL_auxz00_1505); } 
{ /* ./Rgc/rgctree.scm 186 */
obj_t BgL_auxz00_1508;
{ 
int BgL_auxz00_1509;
BgL_auxz00_1509 = 
CINT(BgL_iz00_469); 
BgL_auxz00_1508 = 
VECTOR_REF(BGl_za2followposza2z00zz__rgc_treez00,BgL_auxz00_1509); } 
return 
BGl_rgcsetzd2orz12zc0zz__rgc_setz00(BgL_auxz00_1508, BgL_arg1196z00_927);} } } } } 
}



/* *->node */
obj_t BGl_za2zd2ze3nodez93zz__rgc_treez00(obj_t BgL_exprz00_25)
{ AN_OBJECT;
{ /* ./Rgc/rgctree.scm 195 */
{ /* ./Rgc/rgctree.scm 196 */
obj_t BgL_subzd2nodezd2_481;
BgL_subzd2nodezd2_481 = 
BGl_treezd2ze3nodez31zz__rgc_treez00(BgL_exprz00_25); 
{ /* ./Rgc/rgctree.scm 196 */
obj_t BgL_firstposz00_482;
{ /* ./Rgc/rgctree.scm 197 */
int BgL_auxz00_1514;
BgL_auxz00_1514 = 
(int)(((long)0)); 
BgL_firstposz00_482 = 
STRUCT_REF(BgL_subzd2nodezd2_481, BgL_auxz00_1514); } 
{ /* ./Rgc/rgctree.scm 197 */
obj_t BgL_lastposz00_483;
{ /* ./Rgc/rgctree.scm 198 */
int BgL_auxz00_1517;
BgL_auxz00_1517 = 
(int)(((long)1)); 
BgL_lastposz00_483 = 
STRUCT_REF(BgL_subzd2nodezd2_481, BgL_auxz00_1517); } 
{ /* ./Rgc/rgctree.scm 198 */

{ /* ./Rgc/rgctree.scm 201 */
obj_t BgL_zc3anonymousza31224ze3z83_1121;
{ 
int BgL_auxz00_1522;int BgL_auxz00_1520;
BgL_auxz00_1522 = 
(int)(((long)1)); 
BgL_auxz00_1520 = 
(int)(((long)1)); 
BgL_zc3anonymousza31224ze3z83_1121 = 
make_fx_procedure(BGl_zc3anonymousza31224ze3z83zz__rgc_treez00, BgL_auxz00_1520, BgL_auxz00_1522); } 
{ /* ./Rgc/rgctree.scm 201 */
int BgL_auxz00_1525;
BgL_auxz00_1525 = 
(int)(((long)0)); 
PROCEDURE_SET(BgL_zc3anonymousza31224ze3z83_1121, BgL_auxz00_1525, BgL_firstposz00_482); } 
BGl_forzd2eachzd2rgcsetz00zz__rgc_setz00(BgL_zc3anonymousza31224ze3z83_1121, BgL_lastposz00_483); } 
{ /* ./Rgc/rgctree.scm 204 */
obj_t BgL_newz00_969;
{ /* ./Rgc/rgctree.scm 204 */
int BgL_auxz00_1529;
BgL_auxz00_1529 = 
(int)(((long)3)); 
BgL_newz00_969 = 
create_struct(BGl_symbol2157z00zz__rgc_treez00, BgL_auxz00_1529); } 
{ /* ./Rgc/rgctree.scm 204 */
int BgL_auxz00_1532;
BgL_auxz00_1532 = 
(int)(((long)2)); 
STRUCT_SET(BgL_newz00_969, BgL_auxz00_1532, BTRUE); } 
{ /* ./Rgc/rgctree.scm 204 */
int BgL_auxz00_1535;
BgL_auxz00_1535 = 
(int)(((long)1)); 
STRUCT_SET(BgL_newz00_969, BgL_auxz00_1535, BgL_lastposz00_483); } 
{ /* ./Rgc/rgctree.scm 204 */
int BgL_auxz00_1538;
BgL_auxz00_1538 = 
(int)(((long)0)); 
STRUCT_SET(BgL_newz00_969, BgL_auxz00_1538, BgL_firstposz00_482); } 
return BgL_newz00_969;} } } } } } 
}



/* <anonymous:1224> */
obj_t BGl_zc3anonymousza31224ze3z83zz__rgc_treez00(obj_t BgL_envz00_1122, obj_t BgL_iz00_1124)
{ AN_OBJECT;
{ /* ./Rgc/rgctree.scm 200 */
{ /* ./Rgc/rgctree.scm 201 */
obj_t BgL_firstposz00_1123;
{ /* ./Rgc/rgctree.scm 201 */
int BgL_auxz00_1541;
BgL_auxz00_1541 = 
(int)(((long)0)); 
BgL_firstposz00_1123 = 
PROCEDURE_REF(BgL_envz00_1122, BgL_auxz00_1541); } 
{ 
obj_t BgL_iz00_485;
BgL_iz00_485 = BgL_iz00_1124; 
{ /* ./Rgc/rgctree.scm 201 */
obj_t BgL_auxz00_1544;
{ 
int BgL_auxz00_1545;
BgL_auxz00_1545 = 
CINT(BgL_iz00_485); 
BgL_auxz00_1544 = 
VECTOR_REF(BGl_za2followposza2z00zz__rgc_treez00,BgL_auxz00_1545); } 
return 
BGl_rgcsetzd2orz12zc0zz__rgc_setz00(BgL_auxz00_1544, BgL_firstposz00_1123);} } } } 
}



/* submatch->node */
obj_t BGl_submatchzd2ze3nodez31zz__rgc_treez00(obj_t BgL_exprz00_26)
{ AN_OBJECT;
{ /* ./Rgc/rgctree.scm 209 */
if(
PAIRP(BgL_exprz00_26))
{ /* ./Rgc/rgctree.scm 210 */
obj_t BgL_cdrzd2111zd2_495;
BgL_cdrzd2111zd2_495 = 
CDR(BgL_exprz00_26); 
if(
PAIRP(BgL_cdrzd2111zd2_495))
{ /* ./Rgc/rgctree.scm 210 */
obj_t BgL_cdrzd2116zd2_497;
BgL_cdrzd2116zd2_497 = 
CDR(BgL_cdrzd2111zd2_495); 
if(
PAIRP(BgL_cdrzd2116zd2_497))
{ /* ./Rgc/rgctree.scm 210 */
bool_t BgL_testz00_1557;
{ /* ./Rgc/rgctree.scm 210 */
obj_t BgL_auxz00_1558;
BgL_auxz00_1558 = 
CDR(BgL_cdrzd2116zd2_497); 
BgL_testz00_1557 = 
NULLP(BgL_auxz00_1558); } 
if(BgL_testz00_1557)
{ /* ./Rgc/rgctree.scm 210 */
obj_t BgL_arg1235z00_500;obj_t BgL_arg1236z00_501;obj_t BgL_arg1237z00_502;
BgL_arg1235z00_500 = 
CAR(BgL_exprz00_26); 
BgL_arg1236z00_501 = 
CAR(BgL_cdrzd2111zd2_495); 
BgL_arg1237z00_502 = 
CAR(BgL_cdrzd2116zd2_497); 
{ /* ./Rgc/rgctree.scm 210 */
obj_t BgL_nodez00_998;
BgL_nodez00_998 = 
BGl_treezd2ze3nodez31zz__rgc_treez00(BgL_arg1237z00_502); 
{ /* ./Rgc/rgctree.scm 210 */
obj_t BgL_firstposz00_999;
{ /* ./Rgc/rgctree.scm 210 */
int BgL_auxz00_1565;
BgL_auxz00_1565 = 
(int)(((long)0)); 
BgL_firstposz00_999 = 
STRUCT_REF(BgL_nodez00_998, BgL_auxz00_1565); } 
{ /* ./Rgc/rgctree.scm 210 */
obj_t BgL_lastposz00_1000;
{ /* ./Rgc/rgctree.scm 210 */
int BgL_auxz00_1568;
BgL_auxz00_1568 = 
(int)(((long)1)); 
BgL_lastposz00_1000 = 
STRUCT_REF(BgL_nodez00_998, BgL_auxz00_1568); } 
{ /* ./Rgc/rgctree.scm 210 */
obj_t BgL_nullablezf3zf3_1001;
{ /* ./Rgc/rgctree.scm 210 */
int BgL_auxz00_1571;
BgL_auxz00_1571 = 
(int)(((long)2)); 
BgL_nullablezf3zf3_1001 = 
STRUCT_REF(BgL_nodez00_998, BgL_auxz00_1571); } 
{ /* ./Rgc/rgctree.scm 210 */

{ /* ./Rgc/rgctree.scm 210 */
obj_t BgL_zc3anonymousza31258ze3z83_1126;
{ 
int BgL_auxz00_1576;int BgL_auxz00_1574;
BgL_auxz00_1576 = 
(int)(((long)3)); 
BgL_auxz00_1574 = 
(int)(((long)1)); 
BgL_zc3anonymousza31258ze3z83_1126 = 
make_fx_procedure(BGl_zc3anonymousza31258ze3z83zz__rgc_treez00, BgL_auxz00_1574, BgL_auxz00_1576); } 
{ /* ./Rgc/rgctree.scm 210 */
int BgL_auxz00_1579;
BgL_auxz00_1579 = 
(int)(((long)0)); 
PROCEDURE_SET(BgL_zc3anonymousza31258ze3z83_1126, BgL_auxz00_1579, BgL_nullablezf3zf3_1001); } 
{ /* ./Rgc/rgctree.scm 210 */
int BgL_auxz00_1582;
BgL_auxz00_1582 = 
(int)(((long)1)); 
PROCEDURE_SET(BgL_zc3anonymousza31258ze3z83_1126, BgL_auxz00_1582, BgL_arg1235z00_500); } 
{ /* ./Rgc/rgctree.scm 210 */
int BgL_auxz00_1585;
BgL_auxz00_1585 = 
(int)(((long)2)); 
PROCEDURE_SET(BgL_zc3anonymousza31258ze3z83_1126, BgL_auxz00_1585, BgL_arg1236z00_501); } 
BGl_forzd2eachzd2rgcsetz00zz__rgc_setz00(BgL_zc3anonymousza31258ze3z83_1126, BgL_firstposz00_999); } 
{ /* ./Rgc/rgctree.scm 210 */
obj_t BgL_zc3anonymousza31263ze3z83_1125;
{ 
int BgL_auxz00_1591;int BgL_auxz00_1589;
BgL_auxz00_1591 = 
(int)(((long)2)); 
BgL_auxz00_1589 = 
(int)(((long)1)); 
BgL_zc3anonymousza31263ze3z83_1125 = 
make_fx_procedure(BGl_zc3anonymousza31263ze3z83zz__rgc_treez00, BgL_auxz00_1589, BgL_auxz00_1591); } 
{ /* ./Rgc/rgctree.scm 210 */
int BgL_auxz00_1594;
BgL_auxz00_1594 = 
(int)(((long)0)); 
PROCEDURE_SET(BgL_zc3anonymousza31263ze3z83_1125, BgL_auxz00_1594, BgL_arg1235z00_500); } 
{ /* ./Rgc/rgctree.scm 210 */
int BgL_auxz00_1597;
BgL_auxz00_1597 = 
(int)(((long)1)); 
PROCEDURE_SET(BgL_zc3anonymousza31263ze3z83_1125, BgL_auxz00_1597, BgL_arg1236z00_501); } 
BGl_forzd2eachzd2rgcsetz00zz__rgc_setz00(BgL_zc3anonymousza31263ze3z83_1125, BgL_lastposz00_1000); } 
return BgL_nodez00_998;} } } } } }  else 
{ /* ./Rgc/rgctree.scm 210 */
FAILURE(BFALSE,BGl_string2163z00zz__rgc_treez00,BgL_exprz00_26);} }  else 
{ /* ./Rgc/rgctree.scm 210 */
FAILURE(BFALSE,BGl_string2163z00zz__rgc_treez00,BgL_exprz00_26);} }  else 
{ /* ./Rgc/rgctree.scm 210 */
FAILURE(BFALSE,BGl_string2163z00zz__rgc_treez00,BgL_exprz00_26);} }  else 
{ /* ./Rgc/rgctree.scm 210 */
FAILURE(BFALSE,BGl_string2163z00zz__rgc_treez00,BgL_exprz00_26);} } 
}



/* <anonymous:1263> */
obj_t BGl_zc3anonymousza31263ze3z83zz__rgc_treez00(obj_t BgL_envz00_1127, obj_t BgL_iz00_1130)
{ AN_OBJECT;
{ /* ./Rgc/rgctree.scm 223 */
{ /* ./Rgc/rgctree.scm 210 */
obj_t BgL_rulez00_1128;obj_t BgL_submatchz00_1129;
{ /* ./Rgc/rgctree.scm 210 */
int BgL_auxz00_1605;
BgL_auxz00_1605 = 
(int)(((long)0)); 
BgL_rulez00_1128 = 
PROCEDURE_REF(BgL_envz00_1127, BgL_auxz00_1605); } 
{ /* ./Rgc/rgctree.scm 210 */
int BgL_auxz00_1608;
BgL_auxz00_1608 = 
(int)(((long)1)); 
BgL_submatchz00_1129 = 
PROCEDURE_REF(BgL_envz00_1127, BgL_auxz00_1608); } 
{ 
obj_t BgL_iz00_1005;
BgL_iz00_1005 = BgL_iz00_1130; 
return 
BGl_submatchzd2stopzd2addz12z12zz__rgc_treez00(BgL_iz00_1005, BgL_rulez00_1128, BgL_submatchz00_1129);} } } 
}



/* <anonymous:1258> */
obj_t BGl_zc3anonymousza31258ze3z83zz__rgc_treez00(obj_t BgL_envz00_1131, obj_t BgL_iz00_1135)
{ AN_OBJECT;
{ /* ./Rgc/rgctree.scm 220 */
{ /* ./Rgc/rgctree.scm 210 */
obj_t BgL_nullablezf3zf3_1132;obj_t BgL_rulez00_1133;obj_t BgL_submatchz00_1134;
{ /* ./Rgc/rgctree.scm 210 */
int BgL_auxz00_1612;
BgL_auxz00_1612 = 
(int)(((long)0)); 
BgL_nullablezf3zf3_1132 = 
PROCEDURE_REF(BgL_envz00_1131, BgL_auxz00_1612); } 
{ /* ./Rgc/rgctree.scm 210 */
int BgL_auxz00_1615;
BgL_auxz00_1615 = 
(int)(((long)1)); 
BgL_rulez00_1133 = 
PROCEDURE_REF(BgL_envz00_1131, BgL_auxz00_1615); } 
{ /* ./Rgc/rgctree.scm 210 */
int BgL_auxz00_1618;
BgL_auxz00_1618 = 
(int)(((long)2)); 
BgL_submatchz00_1134 = 
PROCEDURE_REF(BgL_envz00_1131, BgL_auxz00_1618); } 
{ 
obj_t BgL_iz00_1003;
BgL_iz00_1003 = BgL_iz00_1135; 
return 
BGl_submatchzd2startzd2addz12z12zz__rgc_treez00(BgL_iz00_1003, BgL_nullablezf3zf3_1132, BgL_rulez00_1133, BgL_submatchz00_1134);} } } 
}



/* init-followpos! */
obj_t BGl_initzd2followposz12zc0zz__rgc_treez00()
{ AN_OBJECT;
{ /* ./Rgc/rgctree.scm 242 */
{ /* ./Rgc/rgctree.scm 243 */
obj_t BgL_followposz00_519;
{ /* ./Rgc/rgctree.scm 243 */
obj_t BgL_arg1286z00_525;
BgL_arg1286z00_525 = BUNSPEC; 
{ /* ./Rgc/rgctree.scm 243 */
int BgL_auxz00_1622;
BgL_auxz00_1622 = 
CINT(BGl_za2positionzd2numberza2zd2zz__rgc_treez00); 
BgL_followposz00_519 = 
make_vector(BgL_auxz00_1622, BgL_arg1286z00_525); } } 
{ 
long BgL_iz00_520;
BgL_iz00_520 = ((long)0); 
BgL_loopz00_521:
{ /* ./Rgc/rgctree.scm 245 */
bool_t BgL_testz00_1625;
{ /* ./Rgc/rgctree.scm 245 */
long BgL_auxz00_1626;
BgL_auxz00_1626 = 
(long)CINT(BGl_za2positionzd2numberza2zd2zz__rgc_treez00); 
BgL_testz00_1625 = 
(BgL_auxz00_1626==BgL_iz00_520); } 
if(BgL_testz00_1625)
{ /* ./Rgc/rgctree.scm 245 */
return ( 
BGl_za2followposza2z00zz__rgc_treez00 = BgL_followposz00_519, BUNSPEC) ;}  else 
{ /* ./Rgc/rgctree.scm 245 */
{ 
obj_t BgL_auxz00_1631;int BgL_auxz00_1629;
BgL_auxz00_1631 = 
BGl_makezd2rgcsetzd2zz__rgc_setz00(
CINT(BGl_za2positionzd2numberza2zd2zz__rgc_treez00)); 
BgL_auxz00_1629 = 
(int)(BgL_iz00_520); 
VECTOR_SET(BgL_followposz00_519,BgL_auxz00_1629,BgL_auxz00_1631); } 
{ 
long BgL_iz00_1635;
BgL_iz00_1635 = 
(BgL_iz00_520+((long)1)); 
BgL_iz00_520 = BgL_iz00_1635; 
goto BgL_loopz00_521;} } } } } } 
}



/* submatch-start-add! */
obj_t BGl_submatchzd2startzd2addz12z12zz__rgc_treez00(obj_t BgL_positionz00_30, obj_t BgL_nullablezf3zf3_31, obj_t BgL_matchz00_32, obj_t BgL_submatchz00_33)
{ AN_OBJECT;
{ /* ./Rgc/rgctree.scm 265 */
{ /* ./Rgc/rgctree.scm 266 */
obj_t BgL_cellz00_527;
{ 
int BgL_auxz00_1637;
BgL_auxz00_1637 = 
CINT(BgL_positionz00_30); 
BgL_cellz00_527 = 
VECTOR_REF(BGl_za2submatchesza2z00zz__rgc_treez00,BgL_auxz00_1637); } 
if(
PAIRP(BgL_cellz00_527))
{ /* ./Rgc/rgctree.scm 271 */
obj_t BgL_arg1295z00_529;
{ /* ./Rgc/rgctree.scm 271 */
obj_t BgL_arg1298z00_530;obj_t BgL_arg1299z00_531;
{ /* ./Rgc/rgctree.scm 271 */
obj_t BgL_list1302z00_532;
{ /* ./Rgc/rgctree.scm 271 */
obj_t BgL_arg1304z00_533;
{ /* ./Rgc/rgctree.scm 271 */
obj_t BgL_arg1307z00_534;
BgL_arg1307z00_534 = 
MAKE_PAIR(BgL_submatchz00_33, BNIL); 
BgL_arg1304z00_533 = 
MAKE_PAIR(BgL_matchz00_32, BgL_arg1307z00_534); } 
BgL_list1302z00_532 = 
MAKE_PAIR(BgL_nullablezf3zf3_31, BgL_arg1304z00_533); } 
BgL_arg1298z00_530 = BgL_list1302z00_532; } 
BgL_arg1299z00_531 = 
CAR(BgL_cellz00_527); 
BgL_arg1295z00_529 = 
MAKE_PAIR(BgL_arg1298z00_530, BgL_arg1299z00_531); } 
return 
SET_CAR(BgL_cellz00_527, BgL_arg1295z00_529);}  else 
{ /* ./Rgc/rgctree.scm 270 */
obj_t BgL_arg1312z00_535;
{ /* ./Rgc/rgctree.scm 270 */
obj_t BgL_arg1315z00_536;
{ /* ./Rgc/rgctree.scm 270 */
obj_t BgL_arg1319z00_538;
{ /* ./Rgc/rgctree.scm 270 */
obj_t BgL_list1324z00_540;
{ /* ./Rgc/rgctree.scm 270 */
obj_t BgL_arg1326z00_541;
{ /* ./Rgc/rgctree.scm 270 */
obj_t BgL_arg1329z00_542;
BgL_arg1329z00_542 = 
MAKE_PAIR(BgL_submatchz00_33, BNIL); 
BgL_arg1326z00_541 = 
MAKE_PAIR(BgL_matchz00_32, BgL_arg1329z00_542); } 
BgL_list1324z00_540 = 
MAKE_PAIR(BgL_nullablezf3zf3_31, BgL_arg1326z00_541); } 
BgL_arg1319z00_538 = BgL_list1324z00_540; } 
{ /* ./Rgc/rgctree.scm 270 */
obj_t BgL_list1321z00_539;
BgL_list1321z00_539 = 
MAKE_PAIR(BgL_arg1319z00_538, BNIL); 
BgL_arg1315z00_536 = BgL_list1321z00_539; } } 
BgL_arg1312z00_535 = 
MAKE_PAIR(BgL_arg1315z00_536, BNIL); } 
{ 
int BgL_auxz00_1653;
BgL_auxz00_1653 = 
CINT(BgL_positionz00_30); 
return 
VECTOR_SET(BGl_za2submatchesza2z00zz__rgc_treez00,BgL_auxz00_1653,BgL_arg1312z00_535);} } } } 
}



/* submatch-stop-add! */
obj_t BGl_submatchzd2stopzd2addz12z12zz__rgc_treez00(obj_t BgL_positionz00_34, obj_t BgL_matchz00_35, obj_t BgL_submatchz00_36)
{ AN_OBJECT;
{ /* ./Rgc/rgctree.scm 276 */
{ /* ./Rgc/rgctree.scm 277 */
obj_t BgL_cellz00_543;
{ 
int BgL_auxz00_1656;
BgL_auxz00_1656 = 
CINT(BgL_positionz00_34); 
BgL_cellz00_543 = 
VECTOR_REF(BGl_za2submatchesza2z00zz__rgc_treez00,BgL_auxz00_1656); } 
if(
PAIRP(BgL_cellz00_543))
{ /* ./Rgc/rgctree.scm 282 */
obj_t BgL_arg1336z00_545;
{ /* ./Rgc/rgctree.scm 282 */
obj_t BgL_arg1340z00_546;obj_t BgL_arg1341z00_547;
BgL_arg1340z00_546 = 
MAKE_PAIR(BgL_matchz00_35, BgL_submatchz00_36); 
BgL_arg1341z00_547 = 
CDR(BgL_cellz00_543); 
BgL_arg1336z00_545 = 
MAKE_PAIR(BgL_arg1340z00_546, BgL_arg1341z00_547); } 
return 
SET_CDR(BgL_cellz00_543, BgL_arg1336z00_545);}  else 
{ /* ./Rgc/rgctree.scm 281 */
obj_t BgL_arg1346z00_548;
{ /* ./Rgc/rgctree.scm 281 */
obj_t BgL_arg1352z00_550;
{ /* ./Rgc/rgctree.scm 281 */
obj_t BgL_arg1355z00_551;
BgL_arg1355z00_551 = 
MAKE_PAIR(BgL_matchz00_35, BgL_submatchz00_36); 
{ /* ./Rgc/rgctree.scm 281 */
obj_t BgL_list1357z00_552;
BgL_list1357z00_552 = 
MAKE_PAIR(BgL_arg1355z00_551, BNIL); 
BgL_arg1352z00_550 = BgL_list1357z00_552; } } 
BgL_arg1346z00_548 = 
MAKE_PAIR(BNIL, BgL_arg1352z00_550); } 
{ 
int BgL_auxz00_1668;
BgL_auxz00_1668 = 
CINT(BgL_positionz00_34); 
return 
VECTOR_SET(BGl_za2submatchesza2z00zz__rgc_treez00,BgL_auxz00_1668,BgL_arg1346z00_548);} } } } 
}



/* reset-tree! */
BGL_EXPORTED_DEF obj_t BGl_resetzd2treez12zc0zz__rgc_treez00()
{ AN_OBJECT;
{ /* ./Rgc/rgctree.scm 287 */
BGl_za2followposza2z00zz__rgc_treez00 = BUNSPEC; 
BGl_za2positionsza2z00zz__rgc_treez00 = BUNSPEC; 
BGl_za2submatchesza2z00zz__rgc_treez00 = BUNSPEC; 
return ( 
BGl_za2positionzd2numberza2zd2zz__rgc_treez00 = BUNSPEC, BUNSPEC) ;} 
}



/* _reset-tree! */
obj_t BGl__resetzd2treez12zc0zz__rgc_treez00(obj_t BgL_envz00_1136)
{ AN_OBJECT;
{ /* ./Rgc/rgctree.scm 287 */
return 
BGl_resetzd2treez12zc0zz__rgc_treez00();} 
}



/* print-followpos */
BGL_EXPORTED_DEF obj_t BGl_printzd2followposzd2zz__rgc_treez00(obj_t BgL_fpz00_37)
{ AN_OBJECT;
{ /* ./Rgc/rgctree.scm 296 */
{ /* ./Rgc/rgctree.scm 297 */
obj_t BgL_port1009z00_553;
BgL_port1009z00_553 = 
BGL_CURRENT_OUTPUT_PORT(); 
display_string(BGl_string2167z00zz__rgc_treez00, BgL_port1009z00_553); 
WRITE_CHAR(((unsigned char)'\n'), BgL_port1009z00_553); } 
{ /* ./Rgc/rgctree.scm 298 */
obj_t BgL_port1010z00_554;
BgL_port1010z00_554 = 
BGL_CURRENT_OUTPUT_PORT(); 
display_string(BGl_string2168z00zz__rgc_treez00, BgL_port1010z00_554); 
{ /* ./Rgc/rgctree.scm 298 */
int BgL_arg1368z00_555;
BgL_arg1368z00_555 = 
VECTOR_LENGTH(BgL_fpz00_37); 
BGl_displayzd22zd2zz__r4_output_6_10_3z00(
BINT(BgL_arg1368z00_555), BgL_port1010z00_554); } 
WRITE_CHAR(((unsigned char)'\n'), BgL_port1010z00_554); } BGl_list2169z00zz__rgc_treez00; 
{ /* ./Rgc/rgctree.scm 305 */
obj_t BgL_port1011z00_556;
BgL_port1011z00_556 = 
BGL_CURRENT_OUTPUT_PORT(); 
display_string(BGl_string2202z00zz__rgc_treez00, BgL_port1011z00_556); 
return 
WRITE_CHAR(((unsigned char)'\n'), BgL_port1011z00_556);} } 
}



/* _print-followpos */
obj_t BGl__printzd2followposzd2zz__rgc_treez00(obj_t BgL_envz00_1137, obj_t BgL_fpz00_1138)
{ AN_OBJECT;
{ /* ./Rgc/rgctree.scm 296 */
return 
BGl_printzd2followposzd2zz__rgc_treez00(BgL_fpz00_1138);} 
}



/* print-node */
BGL_EXPORTED_DEF obj_t BGl_printzd2nodezd2zz__rgc_treez00(obj_t BgL_nodez00_38)
{ AN_OBJECT;
{ /* ./Rgc/rgctree.scm 310 */
return BGl_symbol2203z00zz__rgc_treez00;} 
}



/* _print-node */
obj_t BGl__printzd2nodezd2zz__rgc_treez00(obj_t BgL_envz00_1139, obj_t BgL_nodez00_1140)
{ AN_OBJECT;
{ /* ./Rgc/rgctree.scm 310 */
return BGl_symbol2203z00zz__rgc_treez00;} 
}



/* imported-modules-init */
obj_t BGl_importedzd2moduleszd2initz00zz__rgc_treez00()
{ AN_OBJECT;
{ /* ./Rgc/rgctree.scm 14 */
BGl_modulezd2initializa7ationz75zz__rgc_setz00(((long)45761), "__rgc_tree"); 
BGl_modulezd2initializa7ationz75zz__rgc_configz00(((long)37616), "__rgc_tree"); 
return 
BGl_modulezd2initializa7ationz75zz__errorz00(((long)11084), "__rgc_tree");} 
}

